[SciPy-user] Problem with plt.plot()

Travis N. Vaught travis at enthought.com
Wed Dec 10 08:51:07 CST 2003



> -----Original Message-----
> From: scipy-user-bounces at scipy.net
[mailto:scipy-user-bounces at scipy.net]
> On Behalf Of Pearu Peterson
> Sent: Wednesday, December 10, 2003 7:57 AM
> To: SciPy Users List
> Subject: Re: [SciPy-user] Problem with plt.plot()
> 
<snip>
> 
> Try:
> 
> >>> from gui_thread import wxPython_thread
> >>> wxPython_thread()
> >>> from scipy import plt
> >>> plt.plot((1,2,3))
> 
> The plotting tutorial needs to be updated...
> 
> Pearu
> 


I was just about to update the tutorial and noticed that the
wxPython_thread import doesn't work with Python 2.3 for Windows -
Enthought Edition build 1028 (the current download from
http://www.enthought.com/python ):

C:\>python
Enthought Edition build 1028
Python 2.3 (#46, Aug 11 2003, 09:34:05) [MSC v.1200 32 bit (Intel)] on
win32
Type "help", "copyright", "credits" or "license" for more information.
>>> from gui_thread import wxPython_thread
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
  File ".\site-packages\gui_thread\wxPython_thread.py", line 17, in ?
ImportError: cannot import name ParallelExec

I'm going to test with a more recent build (not yet released) shortly,
but I wanted to point this out.

> _______________________________________________
> SciPy-user mailing list
> SciPy-user at scipy.net
> http://www.scipy.net/mailman/listinfo/scipy-user




More information about the SciPy-user mailing list